Maintain DirectControl 2.x compatibility

Maintain compatibility with zones created using Centrify DirectControl Administrator Console, version 2.0 or 3.0.

If you have zones and users that were created with Centrify DirectControl Agent version 2.x, you should enable this policy.

If all of your Active Directory users are enabled for UNIX access using Centrify DirectControl Administrator Console, version 3.0 or later, you should leave this policy disabled. If you do not have any users from a Centrify DirectControl Agent version 2.x.x environment, disabling this policy results in a performance improvement on Windows 2000 domain controllers.

This group policy modifies the adclient.version2.compatible setting in the Centrify DirectControl configuration file.


Supported on:
Registry HiveHKEY_LOCAL_MACHINE
Registry PathSoftware\Policies\Centrify\CentrifyDC\Settings\Miscellaneous
Value Nameadclient.version2.compatible
Value TypeREG_SZ
Enabled Valuetrue
Disabled Valuefalse
Enable policy:
Registry HiveHKEY_LOCAL_MACHINE
Registry PathSoftware\Policies\Centrify\CentrifyDC\Settings
Value Nameadclient.version2.compatible
Value TypeREG_SZ
Valuetrue
Disable Policy:
Registry HiveHKEY_LOCAL_MACHINE
Registry PathSoftware\Policies\Centrify\CentrifyDC\Settings
Value Nameadclient.version2.compatible
Value TypeREG_SZ
Valuefalse

Deny users

Registry HiveHKEY_LOCAL_MACHINE
Registry PathSoftware\Policies\Centrify\CentrifyDC\Settings\Miscellaneous
Value Nameadclient.version2.compatible
Value TypeREG_DWORD
Default Value*

centrifydc_settings.admx

Administrative Templates (Computers)

Administrative Templates (Users)